<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[meta]]></name>
<type>object</type>
<compilation>static</compilation>
<comment><![CDATA[Useful meta-predicates.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1</version>
<date>2000/7/24</date>
</entity>
<relations>
<implements>
<name><![CDATA[metap]]></name>
<scope>public</scope>
<file><![CDATA[metap]]></file>
</implements>
</relations>
<predicates>
<public>
</public>
<protected>
</protected>
<private>
<predicate>
<name><![CDATA[apply/3]]></name>
<scope>private</scope>
<compilation>static</compilation>
<meta><![CDATA[apply(*,*,::)]]></meta>
<mode>
<template><![CDATA[apply(+callable,+list,-callable)]]></template>
<solutions>zero_or_more</solutions>
</mode>
<comment><![CDATA[Applies a predicate to list of arguments.]]></comment>
<template><![CDATA[apply(Predicate,Arguments,Goal)]]></template>
</predicate>
</private>
</predicates>
</logtalk>
